@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΠΡΟΣΘΕΤΕΙ ΕΙΚΟΝΕΣ ΣΕ 1 ή ΠΕΡΙΣΣΌΤΕΡΑ ΜΕ ΤΟ ΙΔΙΟ ΟΝΟΜΑ ΑΡΧΕΙΑ ΗΧΟΥ ΠΟΥ ΤΑ 
REM ΒΑΖΕΤΕ ΩΣ ΟΡΙΣΜΑΤΑ Π.Χ. vid1Podcast 1video.mp3 2video.wav 3video.flac  
REM ΑΝ ΘΕΛΕΤΕ ΝΑ ΤΟ ΔΟΚΙΜΑΣΕΤΕ ΣΤΟΝ ΙΔΙΟ ΦΑΚΕΛΟ ΜΕ ΤΑ VIDEO ΣΑΣ ΑΠΟ ΤΟ OBS ΑΦΑΙΡΕΣΤΕ ΤΑ 2 ΜΙΚΡΑ
REM  rem ΣΤΗΝ ΑΡΧΗ ΚΑΙ ΤΟ ΤΕΛΟΣ ΤΟΥ SCRIPT KAI ΜΕΤΑΤΡΕΨΤΕ ΤΑ VIDEO ΣΑΣ ΣΕ MP3 ΣΤΟ 6 ΜΕΝΟΥ
REM ΑΛΛΙΩΣ ΑΝ ΤΟ ΒΑΛΕΤΕ ΣΤΟΝ ΦΑΚΕΛΟ BIN TOY FFMPEG ΔΟΥΛΕΥΕΙ ΩΣ ΕΧΕΙ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

echo.
set "StartPNG=png"
set /p StartPNG=Γράψε το extension της Εικόνας με το ίδιο όνομα που θες να προσθέσω, π.χ. jpg, αλλιώς Enter για default png:



:FF

rem echo "%~p1%~n1.%StartPNG%"
if exist "%~p1%~n1.%StartPNG%" (

	echo.
	echo Μετατρέπω το "%~1" σε Podcast..
	echo.
	call ffmpeg -loop 1 -i "%~p1%~n1.%StartPNG%" -i "%~1" -c:v libx264 -preset medium -tune stillimage -crf 18 -c:a copy -shortest -pix_fmt yuv420p "%~p1%~n1-Podcast.mp4"

	if %ERRORLEVEL% NEQ 0 (
			call vidCodeError.bat %errorlevel%
			shift
		) else (
			call vidCodeError.bat 0
			shift		
	)
) else (
 
 echo.
 echo Δεν υπάρχει αρχείο εικόνας με το ίδιο όνομα στον Κατάλογο που είναι το Βίντεο ή το αρχείο ήχου!
 echo.
 shift

)

if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0